# http://www.28lines.com/?p=8
from setuptools import setup, find_packages
from setuptools.command.test import test


class TestRunner(test):
    def run(self, *args, **kwargs):
        if self.distribution.install_requires:
            self.distribution.fetch_build_eggs(
                self.distribution.install_requires)
        if self.distribution.tests_require:
            self.distribution.fetch_build_eggs(
                self.distribution.tests_require)
        from fax.tests.runtests import runtests
        runtests()

setup(
    name='jumbo-asterisk',
    description='Jumbo asterisk application', 
    author='ThunderSystems',
    packages=find_packages(exclude=['tests', 'tests.*']),
    platforms='any',
    zip_safe=False,
    classifiers=[
        'Environment :: Jumbo',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Framework :: Django',
        'Framework :: Jumbo',
    ],
    test_suite = "asterisk.tests",
    cmdclass={"test": TestRunner},
    install_requires = ['setuptools', 'jumbo-core'],
)

